## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           freetalk
Version:        4.2
Release:        %autorelease
Summary:        Terminal XMPP client

License:        GPL-3.0-or-later
URL:            https://www.gnu.org/software/freetalk/
Source0:        http://ftp.gnu.org/gnu/freetalk/freetalk-4.2.tar.gz
Source1:        http://ftp.gnu.org/gnu/freetalk/freetalk-4.2.tar.gz.sig
# https://savannah.gnu.org/project/release-gpgkeys.php?group=freetalk
Source2:        freetalk-keyring.gpg

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  gnupg2
BuildRequires:  guile30-devel
BuildRequires:  loudmouth-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  texinfo
Requires:  words

%description
GNU Freetalk is a console based chat client for Jabber and other XMPP servers.
It has context sensitive auto-completion for buddy names, commands, and even
ordinary English words. Similar to GNU Emacs, You can customize and extend GNU
Freetalk with Scheme language.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
./bootstrap
%configure
%make_build


%install
%make_install

rm -rf %{buildroot}%{_infodir}/dir

# Files containing shebangs need to have the executable bits.
chmod 755 %{buildroot}%{_datadir}/%{name}/extensions/first-time-run.sh


%check
# Find a way to run a smoke test without generating a configuration file
#./freetalk -help  2>&1 | grep 'version %{version}'


%files
%license COPYING
%doc AUTHORS
%doc NEWS
%doc README
%{_bindir}/freetalk
%dir %{_docdir}/freetalk
%dir %{_docdir}/freetalk/examples
%{_docdir}/freetalk/examples/*.ft
%{_docdir}/freetalk/examples/*.scm
%dir %{_datadir}/freetalk
%dir %{_datadir}/freetalk/extensions
%{_datadir}/freetalk/extensions/*.scm
%{_datadir}/freetalk/extensions/*.sh
%{_mandir}/man1/freetalk.1*
%{_infodir}/freetalk.info*

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Benson Muite <fed500@fedoraproject.org> - 4.2-1
- Unretire freetalk bz# 2335700

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 10 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-4
- Unretirement request: pagure.io/releng/issue/12518 Revert "2017-02-17:
  Retired orphaned package, because it was orphaned for"

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 4.1-2
- Rebuild for readline 7.x

* Sun Nov 13 2016 Raphael Groner <raphgro@fedoraproject.org> - 4.1-1
- v4.1, rhbz#1389899

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 03 2014 Christopher Meng <i@cicku.me> - 4.0-2
- Add missing texinfo BR.

* Thu Jul 03 2014 Christopher Meng <i@cicku.me> - 4.0-1
- Update to 4.0rc4

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-6
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 3.2-5
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Jul 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Debarshi Ray <rishi@fedoraproject.org> - 3.2-3
- Fixed build failure with glibc-2.10.

* Tue Feb 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 21 2008 Matej Cepl <mcepl@fedoraproject.org> - 3.2-1
- New upstream version.

* Wed Sep 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.1-1
- Version bump to 0.32. - open(2) problem fixed by upstream.

* Thu Feb 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.0-1
- Initial import into devel. Modified Files: devel/.cvsignore devel/sources
  Added Files: devel/freetalk-3.0-open.patch devel/freetalk.spec
## END: Generated by rpmautospec
